CREATE TABLE ask_modules] (
    MODULE_ID                    NUMBER(18, 0)     NOT NULL,
    MODULE_SHORT_NAME            VARCHAR2(2000)    NOT NULL,
    MODULE_NAME                  VARCHAR2(4000)    NOT NULL,
    MODULE_DESCRIPTION           VARCHAR2(4000),
    CONTEXT_ROOT                 VARCHAR2(4000),
    MODULE_TYPE_ID               NUMBER(18, 0)     NOT NULL,
    ENTERPRISE_APPLICATION_ID    NUMBER(18, 0)     NOT NULL,
    PUBLISH_ADF_DOMAIN_CONFIG    VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    INITIAL_VERSION_ID           NUMBER(18, 0) ,
    OBSOLETE_VERSION_ID          NUMBER(18, 0) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL
);
